Export database table schemas and branch configuration as a file
Leave the branch parameter empty to indicate the current live branch. password is optional. If provided, will encrypt the export and will be required when importing the file.
Required API Scope: Instance Workspace: Read
POST
/
workspace
/
{workspace_id}
/
export-schema
Export database table schemas and branch configuration as a file
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "",
"password": ""
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export-schema"
payload = {
"branch": "",
"password": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: '', password: ''})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/export-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success!
The response is of type object.
Related topics
Export database table schemas and branch configuration as a fileXano Metadata API (Instances)Export complete workspace data and configuration as an archiveWas this page helpful?
⌘I
Export database table schemas and branch configuration as a file
